%global apiversion 0.3

Summary:        A library for import of WordPerfect Graphics images
Name:           libwpg
Version:        0.3.4
Release:        1%{?dist}
License:        LGPL-2.1-or-later OR MPL-2.0
URL:            http://libwpg.sourceforge.net/
Source0:        http://download.sourceforge.net/libwpg/%{name}-%{version}.tar.xz

BuildRequires:  make gcc-c++ boost-devel
BuildRequires:  doxygen help2man
BuildRequires:  perl-generators perl(Getopt::Std)
BuildRequires:  pkgconfig(librevenge-0.0) pkgconfig(librevenge-generators-0.0)
BuildRequires:  pkgconfig(librevenge-stream-0.0) pkgconfig(libwpd-0.10)

%description
This package provides a library for import of images in WPG (WordPerfect Graphics) format. 
WPG is the format used among others in Corel software, such as WordPerfect and Presentations.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides libraries and header files for developing applications that use %{name}.

%package tools
Summary:        Tools to convert WordPerfect Graphics images to other formats
License:        (LGPLv2+ or MPLv2.0) and GPL+
Requires:       %{name} = %{version}-%{release}

%description tools
This package provides tools to convert WordPerfect Graphics images to other formats. Supported
are: SVG, raw.

%prep
%autosetup

%build
%configure --disable-static --disable-silent-rules
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

rm -rf %{buildroot}/%{_docdir}/%{name}

export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in wpg2raw wpg2svg; do
    help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
help2man -N -S '%{name} %{version}' -n 'batch convert WordPerfect Graphics files into SVG' \
    --help-option=-h --version-string='wpg2svgbatch.pl %{version}' \
    -o wpg2svgbatch.pl.1 ./src/conv/svg/wpg2svgbatch.pl
install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 wpg2*.1 %{buildroot}/%{_mandir}/man1

%files
%license COPYING.LGPL COPYING.MPL
%doc AUTHORS NEWS
%{_libdir}/%{name}-%{apiversion}.so.*

%files devel
%license COPYING.LGPL COPYING.MPL
%doc docs/doxygen/html
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files tools
%{_bindir}/wpg2raw
%{_bindir}/wpg2svg
%{_bindir}/wpg2svgbatch.pl
%{_mandir}/man1/wpg2raw.1*
%{_mandir}/man1/wpg2svg.1*
%{_mandir}/man1/wpg2svgbatch.pl.1*

%changelog
* Mon Dec 11 2023 Upgrade Robot <upbot@opencloudos.org> - 0.3.4-1
- Upgrade to version 0.3.4

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.3-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 22 2023 kianli@tencent.com - 0.3.3-4
- Rebuilt for librevenge 0.0.5

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.3-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 23 2022 Wang Guodong <gordonwwang@tencent.com> - 0.3.3-1
- package init.
